Gecode::CommitStatistics Class Reference

Statistics for execution of commit More...

`#include <core.hpp>`

## Public Member Functions

| CommitStatistics (void)
| Initialize.
void | reset (void)
| Reset information.
CommitStatistics | operator+ (const CommitStatistics &s)
| Return sum with s.
CommitStatistics & | operator+= (const CommitStatistics &s)
| Increment by statistics s.

## Detailed Description

Statistics for execution of commit

Definition at line 1725 of file core.hpp.

## Constructor & Destructor Documentation

## CommitStatistics()

Gecode::CommitStatistics::CommitStatistics | ( | void |  | ) |

inline

Initialize.

Definition at line 4729 of file core.hpp.

## Member Function Documentation

## reset()

void Gecode::CommitStatistics::reset | ( | void |  | ) |

inline

Reset information.

Definition at line 4726 of file core.hpp.

## operator+()

CommitStatistics Gecode::CommitStatistics::operator+ | ( | const CommitStatistics & | s | ) |

inline

Return sum with s.

Definition at line 4733 of file core.hpp.

## operator+=()

CommitStatistics & Gecode::CommitStatistics::operator+= | ( | const CommitStatistics & | s | ) |

inline

Increment by statistics s.

Definition at line 4738 of file core.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/core.hpp